package com.ym.library.module;

import java.util.List;

/**
 * @author (wangXuewei)
 * @datetime 2020-10-14 11:18 GMT+8
 * @detail :
 */
public class OrderListEntity {


    /**
     * orderLevel : 0
     * farmOrderDataList : [{"id":1,"ownNum":0,"targetNum":1,"imgUrl":null}]
     * awardCash : 5
     */

    private int status;
    private int orderLevel;
    private int awardCash;
    private List<FarmOrderDataListBean> farmOrderDataList;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getOrderLevel() {
        return orderLevel;
    }

    public void setOrderLevel(int orderLevel) {
        this.orderLevel = orderLevel;
    }

    public int getAwardCash() {
        return awardCash;
    }

    public void setAwardCash(int awardCash) {
        this.awardCash = awardCash;
    }

    public List<FarmOrderDataListBean> getFarmOrderDataList() {
        return farmOrderDataList;
    }

    public void setFarmOrderDataList(List<FarmOrderDataListBean> farmOrderDataList) {
        this.farmOrderDataList = farmOrderDataList;
    }

    public static class FarmOrderDataListBean {
        /**
         * id : 1
         * ownNum : 0
         * targetNum : 1
         * imgUrl : null
         */

        private int id;
        private int ownNum;
        private int targetNum;
        private String name;
        private String imgUrl;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public void setImgUrl(String imgUrl) {
            this.imgUrl = imgUrl;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getOwnNum() {
            return ownNum;
        }

        public void setOwnNum(int ownNum) {
            this.ownNum = ownNum;
        }

        public int getTargetNum() {
            return targetNum;
        }

        public void setTargetNum(int targetNum) {
            this.targetNum = targetNum;
        }

        public Object getImgUrl() {
            return imgUrl;
        }
    }
}
